<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			 <span data-bind="text: titlePrefix"></span> FX Request - <span data-bind="text: appNumber"></span></h1>
			
		</header>
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				&nbsp;<br/>
			</div>
			<div class="12u$ 12u$(medium)">
				<div class="row uniform oj-panel-alt6 oj-panel-shadow-md" style="margin-bottom:10px;">
					<div class="12u$ 12u$(medium)">
					<h4>Request Details</h4>
					<hr width="95%"/>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Application Number:</strong>&nbsp;
					<span data-bind="text: appNumber"></span>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Form M Number:</strong>&nbsp;
					<span data-bind="text: formMNumber"></span>
					&nbsp;&nbsp;<a href="#" class="icon fa-file" data-bind="click: openDialog"><span class="label">Dribbble</span></a>
					<!-- <a href="#" class="button special fit small" data-bind="click: openDialog">View Form M</a> -->
					</div>
					<div class="4u$ 12u$(medium)">
					<strong>Requested Amount:</strong>&nbsp;
					<span data-bind="text: requestAmount"></span>
					</div>
					<div class="12u$ 12u$(medium)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(medium)">
					<strong>Letter details:</strong><br/>
					<span data-bind="text: requestLetter"></span>
					<hr width="95%"/>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Request Date:</strong>&nbsp;
					<span data-bind="text: requestDate"></span>
					</div>
					<div class="4u$ 12u$(medium)">
					<strong>Created By:</strong>&nbsp;
					<span data-bind="text: creator"></span>
					</div>
					<div class="12u$ 12u$(medium)">
					&nbsp;
					</div>
				</div>
			</div>
			<div class="12u$ 12u$(medium)">
				&nbsp;<br/><p>&nbsp;</p>
			</div>
			
			<div class="12u$ 12u$(medium)">
				<div class="row uniform oj-panel-alt6 oj-panel-shadow-md">
					<div class="12u$ 12u$(small)">
					<h4>Approved Checklist</h4>
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkDocumentation" value="{{isDocCorrect}}" disabled="true"></oj-switch>
					<strong data-bind="attr: { class: docCheckedClass}">Confirm the documentation is correct and accurate.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkValidity" value="{{isValidity}}" disabled="true"></oj-switch>
					<strong data-bind="attr: { class: validityCheckedClass}">Confirm the validity date of the Form M and has not expired.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkOutstanding" value="{{isValidOutstanding}}" disabled="true"></oj-switch>
					<strong data-bind="attr: { class: outstandingCheckedClass}">Confirm the outstanding amount for the Form M.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkFundAvailable" value="{{isFundAvailable}}" disabled="true"></oj-switch>
					<strong data-bind="attr: { class: fundCheckedClass}">Confirm fund availability in the account of the customer.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
				
					<div class="12u$ 12u$(small)">
					&nbsp;
					</div>
				</div>
			</div>
			
			<div class="12u$ 12u$(medium)">
				&nbsp;<br/><p>&nbsp;</p>
			</div>
			<div class="12u$ 12u$(medium)">
				<div class="row uniform oj-panel-alt6 oj-panel-shadow-md">
					<div class="12u$ 12u$(small)">
						<oj-table id="auditList" aria-label="Pending FX Request"
							data='[[paginDataSource]]' as="cell"
							display='grid'
							selection-mode='{"row": "single"}'
							columns-default='{"sortable": "enabled", "template": "cellTemplate"}' 
							columns='[
									  {"headerText": "Previous Status",  "field": "from_status", "style": "width: 10%"},
									   
									  {"headerText": "Current Status", "field": "to_status", "style": "width: 10%"},
									  
									  {"headerText": "Comment", "field": "comment", "headerStyle": "min-width: 8em; max-width: 20em; width: 20em",
										"style": "min-width: 8em; max-width: 20em; width: 20em"},
									  
									  {"headerText": "Date of Action",  "field": "audit_date", "style": "width: 20%"},
									   
									  {"headerText": "Action By", "field": "actionBy", "style": "width: 15%"}
									   
									  ]' 
							style='width: 95%;'>
							<template slot="cellTemplate">
							 <div style="overflow-wrap: break-word;"><oj-bind-text value="[[cell.data]]"></oj-bind-text></div>
							</template>
							<oj-paging-control id="paging" data='[[paginDataSource]]' page-size='5' slot='bottom'>
							</oj-paging-control>
						</oj-table>
					</div>
					<div class="12u$ 12u$(small)">
					&nbsp;
					</div>
				</div>
			</div>
			<!-- ============== dialog starts ============== -->
			<div class="12u$ 12u$(medium)">
				<oj-dialog style="display:none; width:80%; height:600px;" id="modalDialog1" 
							modality="modal" dialog-title="Upload HSCode" cancel-behavior='none'>
					<div slot="header">
					   <h4 id="dialogTitleId" class="oj-dialog-title"> Form M Information
					   </h4>
					</div>
					<div slot="body">
						<div class="row uniform">
							<div class="5u 12u$(small)">
								
							</div>
							<div id="csvGrid" class="7u$ 12u$(medium)">
								
							</div>
							<div id="csvSpace" class="5u 12u$(small)"></div>
							<div id="csvDropdown" class="7u$ 12u$(small)">
								
							</div>
							
						</div> 
					</div>
					<div slot="footer">
					  
					  <a href="#" class="button alt small" data-bind="click: closeDialog">Cancel</a>
					</div>
				</oj-dialog>
			</div>
			<!-- ============== dialog end ============== -->
			
			<div class="12u$ 12u$(medium)">
			<span id="status"></span>
			</div>
			
			<div class="6u$ 12u$(medium)">
				<div class="row ">
					
					<div class="12u$ 12u$(small)">
						<p></p>
					</div>
					
					<div class="6u$ 12u$(small)">
						<a href="#" class="button default fit small" data-bind="click: cancelButtonAction">Cancel</a>
					</div>
				</div>
			</div>
			
		</div>
	</div>
</section>


